io.undertow.server.protocol.http2

## Class Http2ReceiveListener

- java.lang.Object
- - io.undertow.server.protocol.http2.Http2ReceiveListener

All Implemented Interfaces:
  EventListener, org.xnio.ChannelListener<Http2Channel>

    public class Http2ReceiveListener
    extends Object
    implements org.xnio.ChannelListener<Http2Channel>

The recieve listener for a Http2 connection.

A new instance is created per connection.

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Constructor Summary

Constructors
Constructor and Description
`Http2ReceiveListener(HttpHandler rootHandler, org.xnio.OptionMap undertowOptions, int bufferSize, ConnectorStatisticsImpl connectorStatistics)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent(Http2Channel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Http2ReceiveListener

    public Http2ReceiveListener(HttpHandler rootHandler,
                                org.xnio.OptionMap undertowOptions,
                                int bufferSize,
                                ConnectorStatisticsImpl connectorStatistics)

### Method Detail

#### handleEvent

    public void handleEvent(Http2Channel channel)

Specified by:
  `handleEvent` in interface `org.xnio.ChannelListener<Http2Channel>`